---
title: tooling::PubIntroReceivedEvent

---

# tooling::PubIntroReceivedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PubIntroReceivedEvent](Classes/structtooling_1_1PubIntroReceivedEvent.md#function-pubintroreceivedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouter, const [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & from_, const [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & location_, uint64_t txid_, uint64_t relayOrder_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1PubIntroReceivedEvent.md#function-tostring)**() const override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[from](Classes/structtooling_1_1PubIntroReceivedEvent.md#variable-from)**  |
| [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[location](Classes/structtooling_1_1PubIntroReceivedEvent.md#variable-location)**  |
| uint64_t | **[txid](Classes/structtooling_1_1PubIntroReceivedEvent.md#variable-txid)**  |
| uint64_t | **[relayOrder](Classes/structtooling_1_1PubIntroReceivedEvent.md#variable-relayorder)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function PubIntroReceivedEvent

```cpp
inline PubIntroReceivedEvent(
    const llarp::RouterID & ourRouter,
    const llarp::dht::Key_t & from_,
    const llarp::dht::Key_t & location_,
    uint64_t txid_,
    uint64_t relayOrder_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const override
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable from

```cpp
llarp::dht::Key_t from;
```


### variable location

```cpp
llarp::dht::Key_t location;
```


### variable txid

```cpp
uint64_t txid;
```


### variable relayOrder

```cpp
uint64_t relayOrder;
```


-------------------------------

Updated on 2022-09-19 at 17:18:32 +0000